(function() {
    'use strict';
    mui.init({
        beforeback: function(){
            if (plus) {
                var setting = plus.webview.getWebviewById('setting');
                if (setting) {
                    mui.fire(setting, 'refreshKeyCount', {});
                }
            }
            return true;
        }
    });

    mui.plusReady(function() {
        // 隐藏滚动条
        plus.webview.currentWebview().setStyle({
            scrollIndicator: 'none'
        });
    });

    // 清空按钮点击事件
    document.getElementById('fp-clear').addEventListener('tap', function(event) {
        document.getElementById('fp-import-keys').value = '';
        //event.stopPropagation();
    }, false);

    // 完成按钮点击事件
    document.getElementById('fp-finish').addEventListener('tap', function(event) {
        if (plus && fpSettings) {
            var keys = document.getElementById('fp-import-keys').value.replace(/\s+/g, '');

            if (keys.length > 0) {
                plus.nativeUI.confirm('请选择区分代号导入的方式：', function(e) {
                    if (e.index === 0) {
                        fpSettings.putKeysStr(keys);
                        mui.back();
                        plus.nativeUI.toast('成功导入区分代号。');
                    } else if (e.index === 1) {
                        fpSettings.putKeysStr(fpSettings.getKeysStr()+ ',' + keys);
                        mui.back();
                        plus.nativeUI.toast('成功导入区分代号。');
                    }
                }, '花密', ['替换', '追加', '取消'] );

            } else {
                plus.nativeUI.toast('请输入区分代号文本。');
            }
        }
        //event.stopPropagation();
    }, false);

}());
