(function() {
    'use strict';
    mui.init();

    mui.plusReady(function() {
        // 隐藏滚动条
        plus.webview.currentWebview().setStyle({
            scrollIndicator: 'none'
        });
    });

    var tapCount = 9, tapTime = null, tapTimeout = null;
    // 头像图片点击事件
    document.getElementById('fp-author-img').addEventListener('tap', function(event) {
        if (mui.os.ios) {
            if (tapCount === 9) {
                tapTime = new Date().getTime();

            } else if (5 < tapCount && tapCount < 9) {
                if (new Date().getTime() - tapTime < 1000) {
                    clearTimeout(tapTimeout);
                    tapTime = new Date().getTime();
                }

            } else if (0 < tapCount && tapCount < 6) {
                if (new Date().getTime() - tapTime < 1000) {
                    clearTimeout(tapTimeout);
                    tapTime = new Date().getTime();
                    plus.nativeUI.toast('只需 ' + tapCount + ' 步操作即可打开检测更新功能');
                }

            } else if (tapCount === 0) {
                if (new Date().getTime() - tapTime < 1000) {
                    var setting = plus.webview.getWebviewById('setting');
                    if (setting) {
                        mui.fire(setting, 'showUpdate', {});
                    }
                    plus.nativeUI.toast('您现在已经打开检测更新功能');
                }
            }

            tapCount = tapCount - 1;

            tapTimeout = setTimeout(function() {
                tapTime = null;
                tapTimeout = null;
                tapCount = 9;
            }, 1000);
        }
        //event.stopPropagation();
    }, false);

}());
